Subject: Re: regression in iwlwifi: page fault in iwl_dbg_tlv_alloc_region() (commit ba8f6f4ae254)

From: Kalle Valo <[email-masked]>
Date: Wed, 13 Jan 2021 08:58:37 +0200

Takashi Iwai <[email-masked]> writes:

> On Tue, 12 Jan 2021 16:46:21 +0100,
> Kalle Valo wrote:
>> 
>> Takashi Iwai <[email-masked]> writes:
>> 
>> > On Tue, 12 Jan 2021 13:45:33 +0100,
>> > Kalle Valo wrote:
>> >> 
>> >> Takashi Iwai <[email-masked]> writes:
>> >> 
>> >> > On Tue, 12 Jan 2021 12:33:14 +0100,
>> >> > Kalle Valo wrote:
>> >> >> 
>> >> >> (adding luca)
>> >> >> 
>> >> >> Michal Kubecek <[email-masked]> writes:
>> >> >> 
>> >> >> > FYI, there is a regression in iwlwifi driver caused by commit
>> >> >> > ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>> >> >> > reported at
>> >> >> >
>> >> >> >   https://bugzilla.kernel.org/show_bug.cgi?id=210733
>> >> >> >   https://bugzilla.suse.com/show_bug.cgi?id=1180344
>> >> >> >
>> >> >> > The problem seems to be an attempt to write terminating null character
>> >> >> > into a string which may be read only. There is also a proposed fix.
>> >> >> 
>> >> >> Can someone submit a proper patch, please? See instructions below how to
>> >> >> submit.
>> >> >> 
>> >> >> And please add Fixes tag to the commit log:
>> >> >> 
>> >> >> Fixes: ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>> >> >
>> >> > OK, I'll do it for my own
>> >> 
>> >> Thanks.
>> >> 
>> >> > but really I hoped that someone would have reacted on the bugzilla
>> >> > report before the official patch submission. So far no one from the
>> >> > upstream devs showed interest in the bug at all, unfortunately.
>> >> 
>> >> Bugzilla is problematic as I don't know if anyone tracks it actively, at
>> >> least I don't have time for that. I recommend reporting all wireless
>> >> issues to mailing lists to make sure everyone see it.
>> >
>> > I share your feeling as a subsystem maintainer, but at the same time,
>> > I see it's a big problem if the whole bugzilla reports are just
>> > silently ignored.  If it's a void, shouldn't we rather shut it down?
>> 
>> I'm all for shutting down bugzilla.kernel.org as silent bug reports are
>> frustrating the users. But I don't know what others would think about
>> that, maybe some subsystems use it actively?
>
> Yes, I'm still checking bugzilla.kernel.org for sound bug reports.
> Not always promptly reacting like the distro bugzilla, but it's
> regularly scanned and covered in the best effort basis.
>
> Graphics people already moved out of bugzilla to gitlab Issues in
> their own gitlab.freedesktop.org.  Not sure about others.
>
>> At least there should be a big warning for wireless bugs.
>
> Maybe we can ask Konstantin about that at least for wireless
> components?

Yeah, that would be a good idea. Can someone ask that?

BTW, I checked our wiki and it states[1] that bug reports should be sent
to the mailing list. But of course that information is pretty well
hidden within the wiki so I doubt anyone sees it. Also there should be a
big warning about bugzilla bugs. Any volunteers to improve our wiki? :)

[1] https://wireless.wiki.kernel.org/en/users/documentation/reporting_bugs#drivers_mac80211_cfg80211_--_kernel_wireless_bugs

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches